Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPDataReader Class Reference

`#include <vtkXMLPDataReader.h>`

Inheritance diagram for vtkXMLPDataReader:

[legend]
Collaboration diagram for vtkXMLPDataReader:

[legend]
List of all members.

## Detailed Description

Superclass for PVTK XML file readers.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkXMLPDataReader provides functionality common to all PVTK XML file readers. Concrete subclasses call upon this functionality when needed.

See also:
  vtkXMLDataReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (98%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLPDataReader.h)`
  - .`cxx` (`/IO/vtkXMLPDataReader.cxx)`

Definition at line 49 of file vtkXMLPDataReader.h.

## Public Types
typedef vtkXMLReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | GetNumberOfPieces ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPDataReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLPDataReader ()
| ~vtkXMLPDataReader ()
void | ReadXMLInformation ()
int | ReadPrimaryElement (vtkXMLDataElement *ePrimary)
vtkDataSet * | GetPieceInputAsDataSet (int piece)
void | SetupOutputInformation ()
void | SetupOutputData ()
virtual vtkXMLDataReader * | CreatePieceReader ()=0
virtual vtkIdType | GetNumberOfPoints ()=0
virtual vtkIdType | GetNumberOfCells ()=0
virtual void | CopyArrayForPoints (vtkDataArray *inArray, vtkDataArray *outArray)=0
virtual void | CopyArrayForCells (vtkDataArray *inArray, vtkDataArray *outArray)=0
virtual void | SetupPieces (int numPieces)
virtual void | DestroyPieces ()
int | ReadPiece (vtkXMLDataElement *ePiece, int index)
virtual int | ReadPiece (vtkXMLDataElement *ePiece)
int | ReadPieceData (int index)
virtual int | ReadPieceData ()
int | CanReadPiece (int index)
char * | CreatePieceFileName (const char *fileName)
void | SplitFileName ()
## Protected Attributes
int | NumberOfPieces
int | GhostLevel
int | Piece
char * | PathName
vtkXMLDataElement ** | PieceElements
vtkXMLDataReader ** | PieceReaders
int * | CanReadPieceFlag
vtkXMLDataElement * | PPointDataElement
vtkXMLDataElement * | PCellDataElement

## Member Typedef Documentation

typedef vtkXMLReader vtkXMLPDataReader::Superclass

| Reimplemented from vtkXMLReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPPolyDataReader, vtkXMLPRectilinearGridReader, vtkXMLPStructuredDataReader, vtkXMLPStructuredGridReader, vtkXMLPUnstructuredDataReader, and vtkXMLPUnstructuredGridReader. Definition at line 52 of file vtkXMLPDataReader.h.

## Constructor & Destructor Documentation

vtkXMLPDataReader::vtkXMLPDataReader | ( |  | ) | `[protected]`

vtkXMLPDataReader::~vtkXMLPDataReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPDataReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPPolyDataReader, vtkXMLPRectilinearGridReader, vtkXMLPStructuredDataReader, vtkXMLPStructuredGridReader, vtkXMLPUnstructuredDataReader, and vtkXMLPUnstructuredGridReader.

int vtkXMLPDataReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPPolyDataReader, vtkXMLPRectilinearGridReader, vtkXMLPStructuredDataReader, vtkXMLPStructuredGridReader, vtkXMLPUnstructuredDataReader, and vtkXMLPUnstructuredGridReader.

virtual int vtkXMLPDataReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPPolyDataReader, vtkXMLPRectilinearGridReader, vtkXMLPStructuredDataReader, vtkXMLPStructuredGridReader, vtkXMLPUnstructuredDataReader, and vtkXMLPUnstructuredGridReader.

vtkXMLPDataReader* vtkXMLPDataReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPPolyDataReader, vtkXMLPRectilinearGridReader, vtkXMLPStructuredDataReader, vtkXMLPStructuredGridReader, vtkXMLPUnstructuredDataReader, and vtkXMLPUnstructuredGridReader.

void vtkXMLPDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPPolyDataReader, vtkXMLPRectilinearGridReader, vtkXMLPStructuredDataReader, vtkXMLPStructuredGridReader, vtkXMLPUnstructuredDataReader, and vtkXMLPUnstructuredGridReader.

virtual int vtkXMLPDataReader::GetNumberOfPieces | ( |  | ) | `[virtual]`

| Get the number of pieces from the summary file being read.

void vtkXMLPDataReader::ReadXMLInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLReader.

int vtkXMLPDataReader::ReadPrimaryElement | ( | vtkXMLDataElement * | ePrimary | ) | `[protected, virtual]`

| Reimplemented from vtkXMLReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPRectilinearGridReader, vtkXMLPStructuredDataReader, vtkXMLPStructuredGridReader, and vtkXMLPUnstructuredDataReader.

vtkDataSet* vtkXMLPDataReader::GetPieceInputAsDataSet | ( | int | piece | ) | `[protected]`

void vtkXMLPDataReader::SetupOutputInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPRectilinearGridReader, vtkXMLPStructuredGridReader, and vtkXMLPUnstructuredDataReader.

void vtkXMLPDataReader::SetupOutputData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLReader. Reimplemented in vtkXMLPPolyDataReader, vtkXMLPRectilinearGridReader, vtkXMLPStructuredGridReader, vtkXMLPUnstructuredDataReader, and vtkXMLPUnstructuredGridReader.

virtual vtkXMLDataReader* vtkXMLPDataReader::CreatePieceReader | ( |  | ) | `[protected, pure virtual]`

| Implemented in vtkXMLPImageDataReader, vtkXMLPPolyDataReader, vtkXMLPRectilinearGridReader, vtkXMLPStructuredGridReader, and vtkXMLPUnstructuredGridReader.

virtual vtkIdType vtkXMLPDataReader::GetNumberOfPoints | ( |  | ) | `[protected, pure virtual]`

| Implemented in vtkXMLPStructuredDataReader, and vtkXMLPUnstructuredDataReader.

virtual vtkIdType vtkXMLPDataReader::GetNumberOfCells | ( |  | ) | `[protected, pure virtual]`

| Implemented in vtkXMLPStructuredDataReader, and vtkXMLPUnstructuredDataReader.

virtual void vtkXMLPDataReader::CopyArrayForPoints | ( | vtkDataArray * | inArray,
|  | vtkDataArray * | outArray
| ) | `[protected, pure virtual]`

| Implemented in vtkXMLPStructuredDataReader, and vtkXMLPUnstructuredDataReader.

virtual void vtkXMLPDataReader::CopyArrayForCells | ( | vtkDataArray * | inArray,
|  | vtkDataArray * | outArray
| ) | `[protected, pure virtual]`

| Implemented in vtkXMLPPolyDataReader, vtkXMLPStructuredDataReader, and vtkXMLPUnstructuredGridReader.

virtual void vtkXMLPDataReader::SetupPieces | ( | int | numPieces | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPStructuredDataReader.

virtual void vtkXMLPDataReader::DestroyPieces | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPStructuredDataReader.

int vtkXMLPDataReader::ReadPiece | ( | vtkXMLDataElement * | ePiece,
|  | int | index
| ) | `[protected]`

virtual int vtkXMLPDataReader::ReadPiece | ( | vtkXMLDataElement * | ePiece | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPStructuredDataReader.

int vtkXMLPDataReader::ReadPieceData | ( | int | index | ) | `[protected]`

virtual int vtkXMLPDataReader::ReadPieceData | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPPolyDataReader, vtkXMLPRectilinearGridReader, vtkXMLPStructuredDataReader, vtkXMLPStructuredGridReader, vtkXMLPUnstructuredDataReader, and vtkXMLPUnstructuredGridReader.

int vtkXMLPDataReader::CanReadPiece | ( | int | index | ) | `[protected]`

char* vtkXMLPDataReader::CreatePieceFileName | ( | const char * | fileName | ) | `[protected]`

void vtkXMLPDataReader::SplitFileName | ( |  | ) | `[protected]`

## Member Data Documentation

int vtkXMLPDataReader::NumberOfPieces`[protected]`

| Definition at line 92 of file vtkXMLPDataReader.h.

int vtkXMLPDataReader::GhostLevel`[protected]`

| Definition at line 95 of file vtkXMLPDataReader.h.

int vtkXMLPDataReader::Piece`[protected]`

| Definition at line 98 of file vtkXMLPDataReader.h.

char* vtkXMLPDataReader::PathName`[protected]`

| Definition at line 101 of file vtkXMLPDataReader.h.

vtkXMLDataElement** vtkXMLPDataReader::PieceElements`[protected]`

| Definition at line 104 of file vtkXMLPDataReader.h.

vtkXMLDataReader** vtkXMLPDataReader::PieceReaders`[protected]`

| Definition at line 105 of file vtkXMLPDataReader.h.

int* vtkXMLPDataReader::CanReadPieceFlag`[protected]`

| Definition at line 106 of file vtkXMLPDataReader.h.

vtkXMLDataElement* vtkXMLPDataReader::PPointDataElement`[protected]`

| Definition at line 109 of file vtkXMLPDataReader.h.

vtkXMLDataElement* vtkXMLPDataReader::PCellDataElement`[protected]`

| Definition at line 110 of file vtkXMLPDataReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLPDataReader.h